Subject: Re: incompatible rename in crtdll
From: [email-masked] (Earnie Boyd)

31 Oct 1998 13:22:20 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="0-1473442062-909798169=:28210"
To: Anders Norlander <[email-masked]>, [email-masked]
Cc: [email-masked]

--0-1473442062-909798169=:28210
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline

---Anders Norlander <[email-masked]> wrote:
>
> Hi,
> 

Hi Anders,

> I have noticed that rename in crtdll does not behave as you would
> expect it to do on a unix system. If the new filename already
> exists the function will fail. I noticed this when porting
> patch to mingw32. Cygwin handles this correctly.
> To get around it you would have to do something like this:
> 
> #define rename(f,t) _ming_rename
> 

You may be interested in what I did with a mingw32 version of patch.  You'll find a gziped differences attached.

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

--0-1473442062-909798169=:28210
Content-Type: application/x-gzip; name="patch-2.5-MW32.diff.gz"
Content-Transfer-Encoding: base64
Content-Description: patch-2.5-MW32.diff.gz
Content-Disposition: attachment; filename="patch-2.5-MW32.diff.gz"

--0-1473442062-909798169=:28210--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".